Page MenuHomePhabricator

Add localized strings for Photo and Location permission
Closed, ResolvedPublic

Description

These are now required for iOS 10

see https://pareshrvaghela.wordpress.com/2016/07/08/ios-10-and-privacy-settings/

Strings for English:
Photos: "Save photos from Wikipedia to your photo library"
Location: "Get article recommendations based on your location"

Event Timeline

Fjalapeno created this task.Sep 8 2016, 8:49 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptSep 8 2016, 8:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Fjalapeno updated the task description. (Show Details)Sep 8 2016, 8:49 PM

Draft:

Photos: "Save photos from Wikipedia to your photo library"
Location: "Get article recommendations based on landmarks near you"

@ZhouZ we are now required to tell people why we are asking for specific permissions. I've drafted something for each permission, but would appreciate a quick look.

@Fjalapeno I saw SiriKit on the list as well, do we need a string for Spotlight/app search?

JMinor triaged this task as Normal priority.Sep 9 2016, 12:03 AM

Confirmed with @Fjalapeno that SiriKit permission is not used by the app.

JMinor updated the task description. (Show Details)Sep 9 2016, 10:04 PM

This looks good. Thanks!

Fjalapeno moved this task from Ready for Development to Doing on the iOS-app-v5.2.0-Honey board.
JMinor closed this task as Resolved.Sep 14 2016, 5:05 PM